//============================================================================
//  aPCI-8815 Device Driver I/F Control
//  apci8815ctl.h
//  Author  Shoichiro Ito(ADTEK SYSTEM SCIENCE Co.,Ltd.)
//  Date    2000/03/16
//  Rev.    1.0.0
//============================================================================

#ifndef __INC_APCI8815CTL_H__
#define __INC_APCI8815CTL_H__

#include "apci8815.h"

#ifdef __cplusplus
extern "C" {
#endif


//----------------------------------------------------------------------------
//  Miscellaneous
//----------------------------------------------------------------------------

#define APCI8815_SLOT_AUTO	((int)~0)	// ̤ѥǥХθ


//----------------------------------------------------------------------------
//  Error Codes
//----------------------------------------------------------------------------

#define APCI8815_OK		 0	// ｪλ
#define APCI8815_ESYSCALL	-1	// ƥॳ륨顼
#define APCI8815_EINVAL		-2	// ʰ
#define APCI8815_ENODEV		-3	// ǥХϸդʤ
#define APCI8815_EBUSY		-4	// ¹ޤϻ
#define APCI8815_ESISR		-5	// ߥ롼ꥨ顼


//----------------------------------------------------------------------------
// Control Functions
//----------------------------------------------------------------------------

int     apci8815_create    (int log_slot);
int     apci8815_close	   (int log_slot);
int     apci8815_set_ad_md (int log_slot, papci8815_admd pmd);
int     apci8815_start_ad  (int log_slot);
int     apci8815_stop_ad   (int log_slot);
ssize_t apci8815_read_ad   (int log_slot, unsigned short* buf, size_t count);
int     apci8815_get_ad_sts(int log_slot, unsigned long* psts);
int     apci8815_get_exin  (int log_slot, unsigned short* pexin);
int     apci8815_setup_int (int log_slot, void(*pcallback)(int log_slot, void* arg), void* arg);
int     apci8815_cancel_int(int log_slot);


#ifdef __cplusplus
}
#endif


#endif // __INC_APCI8815CTL_H__